curl --request POST \
--url https://api.virtuoussoftware.com/api/ProjectNote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<integer>",
"type": "<string>",
"note": "<string>",
"important": "<boolean>",
"private": "<boolean>",
"contactId": "<integer>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<integer>',
type: '<string>',
note: '<string>',
important: '<boolean>',
private: '<boolean>',
contactId: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/ProjectNote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ProjectNote"
payload = {
"projectId": "<integer>",
"type": "<string>",
"note": "<string>",
"important": "<boolean>",
"private": "<boolean>",
"contactId": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ProjectNote");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"projectId\": \"<integer>\",\n \"type\": \"<string>\",\n \"note\": \"<string>\",\n \"important\": \"<boolean>\",\n \"private\": \"<boolean>\",\n \"contactId\": \"<integer>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ProjectNote';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<integer>',
type: '<string>',
note: '<string>',
important: '<boolean>',
private: '<boolean>',
contactId: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 870021,
"createDateTimeUtc": "2025-11-15T17:50:00Z",
"createdByUser": "Partner Integration",
"modifiedDateTimeUtc": "2025-11-15T17:50:00Z",
"modifiedByUser": "Partner Integration",
"createdByAvatarUrl": null,
"type": "Note",
"note": "Volunteer sign-ups for the first distribution date are at 18 of 25 slots.",
"important": false,
"isPrivate": false,
"binaryPath": null
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Create a Project Note
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The identifier of the project this record is designated to.
The note type. Must match a note type configured for the organization.
The body of the note.
When true, the note is flagged as important.
When true, the note is only visible to users with permission to view private notes.
The identifier of the contact this record belongs to.
Response
OK
The unique identifier of the record in Virtuous.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
When true, the record is only visible to users with permission to view private records.
Was this page helpful?